Skip to main content
POST
/
deployments
/
configurations
/
{configurationId}
/
push
Push deployment configuration version
curl --request POST \
  --url https://your-domain.com/api/client/v1/deployments/configurations/{configurationId}/push \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "push_message": "<string>"
}
'
{
  "ok": true,
  "created": true,
  "version": {
    "id": "<string>",
    "configuration_id": "<string>",
    "version_number": 123,
    "yaml": "<string>",
    "spec_hash": "<string>",
    "resource_count": 123,
    "pushed_by": "<string>",
    "pushed_at": 123,
    "push_message": "<string>",
    "base_version_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

configurationId
string
required

Deployment configuration ID.

Body

application/json
push_message
string
Maximum string length: 1000

Response

Pushed

ok
boolean
created
boolean
version
object